aix gcc 다운로드

MD5 체크섬 및 패키지 링크. 모든 패키지를 단일 디렉토리에 다운로드하고 `installp -d. 모든 @harshsinghania – 당신은 적절하게 LIBPATH를 가리 킬 수 있습니까? 예를 들어, 새 것들이 `/opt/freeware/lib/gcc/powerpc-ibm-aix6.1.0.0/6.3.0`에 설치되어 있다면, 당신은 설정할 수 있습니다: 어쩌면 4.9.2 및 4.8.3까지 얻지 못했습니다 – 그들은 이미 iconv를 찾았습니까? GitHub에는 4천만 명 이상의 개발자가 협력하여 코드를 호스팅 및 검토하고 프로젝트를 관리하고 소프트웨어를 함께 빌드합니다. …./libcpp 디렉토리에 가서 인수없이 확인을 실행했습니다. 디렉토리 빌드에 성공했습니다! gcc gcc-c+gcc-cpp gettext glib2 gmp 정보 libffi libgcc libiconv libmpc libstdc++ libstdc++libstdc++libstdc++-devlxl2 mpfr ncurses xz-libs zlib 나는 아직도 libgcc 런타임 요구 사항에 대한 포장을 해결해야 합니다 (그리고 훨씬 덜 스펙트 한 LDPATH 정보를 얻을 수 있습니다). 지금은 전체 라이브러리가 설치된 gcc 패키지를 테스트하고 있습니다 – OR – libggc 라이브러리를 대상 서버에 수동으로 복사합니다. 이 측면은 진행 중인 작업입니다. 기본 설정: gcc-4.9.2와 동일한 구성 명령을 실행하고 거의 동일한 결과를 얻는 텍스트는 config.log를 읽으려고 언급합니다. 그러나 다른 경로 이름 규칙도 보입니다.

어쩌면 그것은 별도의 빌드 및 소스 트리로 이동하는 시간이다 (권장대로!) 이러한 패키지의 버전을 설치해야 하는지 모르겠습니다. bash-4.30을 로드한 후 CONFIG_SHELL /opt/bin/bash로 설정합니다. 내 단순화 된 구성 스크립트는 : 나는 또한 AIX 5.3 TL7 +에 버전 4.9.2 컴파일을 갖는 내 목표를 달성 할 수 있을지 모른다. GCC 프로젝트 @gnu.org AIX 5.3에서 백 /xlC를 부트 스트랩 컴파일러로 컴파일 할 때 문제를 조사하기를 거부하면 AIX 6.1로 이동해야합니다. AIX 7.2에 대한 종속성으로 정확한 GCC rpm을 다운로드 할 수 없었습니다. 안녕하세요, AIX 7.2 기계에 대 한 노드 Js v10.14.0에 필요한 종속성의 정확한 목록을 알고 싶어요. 이 오류는 두 개의 서로 다른 타르 파일에서 발생, 둘 다 원래 인식 및 확장 된 도움을 위한 bz2 /cc @shellberg 압축 되었다. $ 수출 LIBPATH =/opt/freeware/lib/gcc/powerpc-ibm-aix6.1.1.0/6.3.0/pthread/ppc64:$LIBPATH AIXTOOLS제공 하는 동안- ASIS- 내가 할 수 있는 최선을 다해 기꺼이 지원 하 고 있습니다.

당신은 내 포장을 사용하고, 질문이 있거나 도움이 필요한 경우 – http://forums.rootvg.net/aixtools 포럼에 게시하시기 바랍니다. 나는 가능한 한 빨리 응답할 것이다. 나는 특정 패키지에 대한 포트란이 필요하기 때문에 나는 현재 `재건`(위 참조) gcc입니다 (그리고 IBM 포트란을 한 적이 없다). . 중요: AIX 도구 상자 패키지는 IBM AIX 지원 사례를 통해 지원되지 않습니다. 나는 IBM C 컴플리어를 사용하여 패키징을 선호합니다 (주로 AIX 런타임 라이브러리와의 더 나은 통합, 특히 libc.a 지원). 그러나 일부 FOSS 프로젝트는 C89 및 C99 표준을 초과하는 gcc 기능을 필요로하며,이 필요성은 gcc를 직접 컴파일하는 것을 보게되었습니다. AIX 컴파일러에 이미 존재하는 gcc를 사용하지 않습니까? 간단한. 나는 AIX의 거의 표준 버전에서 실행하도록 패키지 된 것에 의존 할 수없는 큰 (충분한) 불일치 수에 계속 뛰어 들였습니다.

(내 objective4s 중 하나는 aixtools 패키지는 이미 무엇을 방해하지 않고 설치할 수 있다는 것입니다, 또는 어쩌면 나중에 IBM 소스에서 설치됩니다).